﻿@page
@using Canyon.GM.Panel.Services.Core;
@inject IStringLocalizer StringLocalizer;
@model Canyon.GM.Panel.Areas.CreditCard.Pages.ListModel
@{
    ViewData[TITLE] = StringLocalizer["CreditCards"];
}

<div class="mb-2">
    <form method="post">
        @if (Model.CardId != null)
        {
            <div class="alert alert-success" role="alert">
                <p>
                    <i class="bi flex-shrink-0 me-2 fa fa-check" aria-hidden="true"></i>
                    O cartão foi gerado com sucesso!
                </p>
                <p><strong>Código:</strong> @Model.CardId</p>
            </div>
        }
        <div class="mt-30 mb-40">
            <h3>@StringLocalizer["CreateNewCreditCard"]</h3>
            <p>@StringLocalizer["CreateNewCreditCardDesc"]</p>
            @await Html.PartialAsync("_ErrorSummary")
            <div class="row mt-2">
                <div class="col-md-6">
                    <div class="row">
                        <label class="control-label col-sm-4">@StringLocalizer.GetString("Product")</label>
                        <div class="col-sm-8">
                            <select class="form-control" asp-for="Input.ProductId">
                                @foreach (var product in Model.Products)
                                {
                                    <option value="@product.Id">@StringLocalizer[product.Name]</option>
                                }
                            </select>
                        </div>
                    </div>
                </div>
            </div>
            <button class="btn btn-primary" type="submit">@StringLocalizer.GetString("Submit")</button>
        </div>
    </form>
</div>

@*<table class="table table-sm table-stripped table-hover table-bordered table-responsive caption-top">
    <caption>@StringLocalizer[""]</caption>
    <thead>
        <tr>
            <th></th>
        </tr>
    </thead>
</table>*@